## org.codehaus.groovy.grails.web.converters.xtream
Class DomainClassConverter

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.xtream.DomainClassConverter

All Implemented Interfaces:
  com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

    public class DomainClassConverter

extends Object
implements com.thoughtworks.xstream.converters.Converter

An XStream converter for converting Grails domain classes to XML

Author:
  Siegfried Puchbauer

Constructor Summary
`DomainClassConverter()`

Method Summary
`boolean` `canConvert(Class clazz)`
`boolean` `isRenderDomainClassRelations()`
`void` `marshal(Object value, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
`void` `setRenderDomainClassRelations(boolean renderDomainClassRelations)` Configure wheter DomainClass Relations should be fully rendered or on the referenced ID's
`Object` `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainClassConverter

    public DomainClassConverter()

Method Detail

### isRenderDomainClassRelations

    public boolean isRenderDomainClassRelations()

### setRenderDomainClassRelations

    public void setRenderDomainClassRelations(boolean renderDomainClassRelations)

  Configure wheter DomainClass Relations should be fully rendered or on the referenced ID's

  Parameters:
    `renderDomainClassRelations` - true to render nested DomainClass Instances, false to render their ID's

### marshal

    public void marshal(Object value,
                        com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                        com.thoughtworks.xstream.converters.MarshallingContext context)

  Specified by:
    `marshal` in interface `com.thoughtworks.xstream.converters.Converter`

### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                            com.thoughtworks.xstream.converters.UnmarshallingContext context)

  Specified by:
    `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`

### canConvert

    public boolean canConvert(Class clazz)

  Specified by:
    `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`

Copyright (c) 2005-2006 The Grails project